
Ansible-semaphore
===========

Powerful API for Ansible


## Configuration

The following table lists the configurable parameters of the Ansible-semaphore chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `image.repository` |  | `"ansiblesemaphore/semaphore"` |
| `config.boPath to the BoltDB database filelt.host` | Path to the BoltDB database file | `null` |
| `config.mysql.host` | MySQL database host | `null` |
| `config.mysql.name` | MySQL database (schema) name | `null` |
| `config.mysql.user` | MySQL user name | `null` |
| `config.mysql.pass` | MySQL user's password | `null` |
| `config.postgres.host` | Postgres database host | `null` |
| `config.postgres.name` | Postgres database (schema) name | `null` |
| `config.postgres.user` | Postgres user name | `null` |
| `config.postgres.pass` | Postgres user's password | `null` |
| `config.dialect` | Can be mysql, postgres or bolt | `"bolt"` |
| `config.port` | TCP port on which the web interface will be available. Default: 3000 | `3000` |
| `config.interface` | Useful if your server has multiple network interfaces | `null` |
| `config.tmp_path` | Path to directory where cloned repositories and generated files are stored. Default: /tmp/semaphore | `"/tmp/semaphore"` |
| `config.access_key_encryption` | Secret key used for encrypting access keys in database. Read more in [Database encryption reference](https://docs.semaphoreui.com/administration-guide/security#database-encryption). | `null` |
| `config.web_host` | Can be useful if you want to use Semaphore by the subpath, for example: http://yourdomain.com/semaphore. Do not add a trailing /. | `null` |
| `config.email_sender` |  | `null` |
| `config.email_host` |  | `null` |
| `config.email_port` |  | `null` |
| `config.email_secure` |  | `null` |
| `config.email_username` |  | `null` |
| `config.email_password` |  | `null` |
| `config.email_alert` |  | `null` |
| `config.telegram_alert` |  | `null` |
| `config.slack_alert` | Set to True to enable pushing alerts to slack. It should be used in combination with slack_url | `null` |
| `config.slack_url` | The slack webhook url. Semaphore will used it to POST Slack formatted json alerts to the provided url | `null` |
| `config.rocketchat_alert` | Set to True to enable pushing alerts to Rocket.Chat. It should be used in combination with rocketchat_url. Available since v2.9.56. | `null` |
| `config.rocketchat_url` | The rocketchat webhook url. Semaphore will used it to POST Rocket.Chat formatted json alerts to the provided url. Available since v2.9.56. | `null` |
| `config.ldap_enable` |  | `null` |
| `config.ldap_needtls` |  | `null` |
| `config.ldap_binddn` |  | `null` |
| `config.ldap_bindpassword` |  | `null` |
| `config.ldap_server` |  | `null` |
| `config.ldap_searchdn` |  | `null` |
| `config.concurrency_mode` | Can be unset/empty or project or node. When set to project, tasks will run in parallel if and only if they do not share the same project id, with no regard to the nodes/hosts that are affected. When set to node, a task will run in parallel if and only if the hosts affected by tasks already running does not intersect with the hosts that would be affected by the task in question. If concurrency_mode is not specified or left empty, no task will start before the previous one has finished. | `null` |
| `max_parallel_tasks` |  | `null` |
| `oidc_providers` | OpenID provider settings. You can provide multiple OpenID providers. More about OpenID configuration read in [OpenID](https://docs.semaphoreui.com/administration-guide/openid/). | `null` |
| `password_login_disable` | Disable login with using password. Only LDAP and OpenID. | `false` |
| `non_admin_can_create_project` | Allow non-admin users to create new projects. | `false` |





